Bug 40559 - Ugly dithered symbol background in rdp/ica sessions
Summary: Ugly dithered symbol background in rdp/ica sessions
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) Windows (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Remote
  Show dependency treegraph
 
Reported: 2011-09-01 09:30 UTC by Heiko
Modified: 2020-10-21 04:22 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
LO in Citrix- or RDP-Session (45.86 KB, image/jpeg)
2011-09-01 09:31 UTC, Heiko
Details
OO 3.1.1 in Citrix-/RDP-Session (58.66 KB, image/jpeg)
2011-09-01 09:32 UTC, Heiko
Details
LO locally installed (58.22 KB, image/jpeg)
2011-09-01 09:32 UTC, Heiko
Details
LibO 3.5 beta2 (168.83 KB, image/jpeg)
2011-12-29 09:11 UTC, Heiko
Details
LibO 3.6.1.2 RDP WinSrv2008 (72.23 KB, image/jpeg)
2012-09-04 08:10 UTC, realyst
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko 2011-09-01 09:30:26 UTC
When using libreoffice 3.4.2 in a windows 2003 terminal server environment, LO renders selected icons in an ugly dithered fashion. affected are submenus from the main menu, context menus and icons on the symbol bars (pls see screenshots).

Installing LO locally on XP, LO delievers the perfect look.

First I thougt about a Citrix (XenAPP/Receiver/ICAClient) problem, but LO in an  remote dekstop session (RDP) shows the same effect.

It seems, that this issue occours since OpenOffice.org > 3.1.1.
Comment 1 Heiko 2011-09-01 09:31:42 UTC
Created attachment 50821 [details]
LO in Citrix- or RDP-Session
Comment 2 Heiko 2011-09-01 09:32:23 UTC
Created attachment 50822 [details]
OO 3.1.1 in Citrix-/RDP-Session
Comment 3 Heiko 2011-09-01 09:32:46 UTC
Created attachment 50823 [details]
LO locally installed
Comment 4 Björn Michaelsen 2011-12-23 12:37:34 UTC Comment hidden (obsolete)
Comment 5 Heiko 2011-12-29 09:09:23 UTC
The Bug still pesists in LibO 3.5 beta. Adding a screenshot.
Comment 6 Heiko 2011-12-29 09:11:22 UTC
Created attachment 54945 [details]
LibO 3.5 beta2
Comment 7 Heiko 2012-01-02 00:30:09 UTC
Comment on attachment 54945 [details]
LibO 3.5 beta2

-
Comment 8 realyst 2012-09-04 08:10:10 UTC
Created attachment 66597 [details]
LibO 3.6.1.2 RDP WinSrv2008
Comment 9 realyst 2012-09-04 08:10:53 UTC
Bug still exists in LibO 3.6.1.2

This effects also Citrix-sessions (ICA protocol).
As we use Citrix to deliver LibO in our company and IMHO virtualisation for applications will grow in the future, it is or will become an issue affecting many people in their daily work.
I think for most normal users a clutterd UI is a bad experience and just don't fit into professional software.
Comment 10 Heiko 2013-03-06 22:47:06 UTC
No change in in 4.0.0.2. Still very ugly in icons. Into writer/impress/draw imported pictures are fine, they are not dithered that way icons are. 

Does anyone know, how LO checks the available color depth? I guess LO thinks of a reduced color depth an switches dithering on.
Comment 11 Heiko 2013-03-18 21:55:11 UTC
Found an interesting comment about a workaround with "bad dithering" over here:
http://code.metager.de/source/history/freedesktop/libreoffice/basegfx/

"2008-12-12 14:51:26 +0100 aw r265420 : #i95645# workaround for DrawTransparent of button hilighting when remote displayed; somehow GDI+ does bad dithering in that case"

Hmmm...
Comment 12 Heiko 2013-03-18 22:17:40 UTC
and here...

http://docs.libreoffice.org/vcl/html/outdev6_8cxx_source.html

00259     // try hard to draw it directly, because the emulation layers are slower
00260     if( !pDisableNative
00261         && mpGraphics->supportsOperation( OutDevSupport_B2DDraw )
00262 #if defined UNX && ! defined MACOSX
00263             && GetBitCount() > 8
00264 #endif
00265 #ifdef WIN32
00266         // workaround bad dithering on remote displaying when using GDI+ with toolbar buttoin hilighting
00267         && !rPolyPoly.IsRect()
00268 #endif
00269         )


too bad, I'm no coder :-/

I wonder, what GetBitCount() /line 263/ delivers in a RDP/ICA remote server...
Comment 13 Mateo 2014-10-31 13:13:13 UTC
Same results for LibreOffice 4.3.2. Dithering effects still on RDS 2008R2(x64). Fine on local XP or Windows 7.
Comment 14 tommy27 2016-04-16 07:24:36 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2017-05-22 13:25:43 UTC Comment hidden (obsolete)
Comment 16 QA Administrators 2020-10-21 04:22:36 UTC
Dear Heiko,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug